import { PaymentMethodToken } from '@primer-io/checkout-web';
import Vue from 'vue';
declare const onTokenizeSuccessMixinProps: import("vue/types/vue").ExtendedVue<Vue, unknown, unknown, unknown, {
    tokenizeSuccessStatus: boolean | Error;
    tokenizeSuccess: Function;
}>;
declare type PromiseResolver = {
    resolve: (value: unknown) => void;
    reject: (err: Error) => void;
};
export declare class onTokenizeSuccessMixin extends onTokenizeSuccessMixinProps {
    onTokenizeSuccessPromise: PromiseResolver | undefined;
    clearOnTokenizeSuccess(): void;
    isWaitingForOnTokenizeSuccess(): boolean;
    resolveOnTokenizeSuccess(err: Error): void;
    onTokenizeSuccess(arg: PaymentMethodToken): any;
    onTokenizeSuccessStatusChange(tokenizeSuccessStatus: boolean | Error): void;
}
export {};
